Vulnerabilità: CVE-2020-7729

La recluta pacchetto prima 1.3.0 sono vulnerabili a esecuzione di codice arbitrario dovuto all’uso di default del carico funzione () invece del suo sostituto sicuro SAFELOAD () del pacchetto js-yaml all’interno grunt.file.readYAML.


https://github.com/gruntjs/grunt/blob/master/lib/grunt/file.js%23L249
https://github.com/gruntjs/grunt/blob/master/lib/grunt/file.js%23L249
https://github.com/gruntjs/grunt/commit/e350cea1724eb3476464561a380fb6a64e61e4e7
https://github.com/gruntjs/grunt/commit/e350cea1724eb3476464561a380fb6a64e61e4e7
https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSNPM-607922
https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSNPM-607922
https://snyk.io/vuln/SNYK-JS-GRUNT-597546
https://snyk.io/vuln/SNYK-JS-GRUNT-597546
https://lists.debian.org/debian-lts-announce/2020/09/msg00008.html
https://usn.ubuntu.com/4595-1/
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-7729


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi